package com.xhpc.common.data.up;

//充电桩与 BMS 参数配置阶段报文
public class BmsChargingConfigData extends BaseData {

    private String orderNo; //交易流水号
    private String pileNo; //桩号
    private String gunId; //枪号
    private String bmsBatteryMonoMaximumVoltage; //BMS单体电池最高允许充电电压V
    private String bmsBatteryMaximumCurrent; //BMS最高允许充电电流A
    private String bmsBatteryNominalEnergy; //BMS动力蓄电池标称总能量kWh
    private String bmsBatteryMaximumTotalVoltage; //BMS最高允许充电总电压V
    private String bmsBatteryMaximumTemperature; //BMS最高允许温度°
    private String soc; //SOC
    private String bmsBatteryViechleVoltage; //BMS整车动力蓄电池当前电池电压V
    private String pileMaximumVoltage; //电桩最高输出电压
    private String pileMinimumVoltage; //电桩最低输出电压
    private String pileMaximumCurrent; //电桩最大输出电流
    private String pileMinimumCurrent; //电桩最小输出电流

    public String getOrderNo() {

        return orderNo;
    }

    public void setOrderNo(String orderNo) {

        this.orderNo = orderNo;
    }

    public String getPileNo() {

        return pileNo;
    }

    public void setPileNo(String pileNo) {

        this.pileNo = pileNo;
    }

    public String getGunId() {

        return gunId;
    }

    public void setGunId(String gunId) {

        this.gunId = gunId;
    }

    public String getBmsBatteryMonoMaximumVoltage() {

        return bmsBatteryMonoMaximumVoltage;
    }

    public void setBmsBatteryMonoMaximumVoltage(String bmsBatteryMonoMaximumVoltage) {

        this.bmsBatteryMonoMaximumVoltage = bmsBatteryMonoMaximumVoltage;
    }

    public String getBmsBatteryMaximumCurrent() {

        return bmsBatteryMaximumCurrent;
    }

    public void setBmsBatteryMaximumCurrent(String bmsBatteryMaximumCurrent) {

        this.bmsBatteryMaximumCurrent = bmsBatteryMaximumCurrent;
    }

    public String getBmsBatteryNominalEnergy() {

        return bmsBatteryNominalEnergy;
    }

    public void setBmsBatteryNominalEnergy(String bmsBatteryNominalEnergy) {

        this.bmsBatteryNominalEnergy = bmsBatteryNominalEnergy;
    }

    public String getBmsBatteryMaximumTotalVoltage() {

        return bmsBatteryMaximumTotalVoltage;
    }

    public void setBmsBatteryMaximumTotalVoltage(String bmsBatteryMaximumTotalVoltage) {

        this.bmsBatteryMaximumTotalVoltage = bmsBatteryMaximumTotalVoltage;
    }

    public String getBmsBatteryMaximumTemperature() {

        return bmsBatteryMaximumTemperature;
    }

    public void setBmsBatteryMaximumTemperature(String bmsBatteryMaximumTemperature) {

        this.bmsBatteryMaximumTemperature = bmsBatteryMaximumTemperature;
    }

    public String getSoc() {

        return soc;
    }

    public void setSoc(String soc) {

        this.soc = soc;
    }

    public String getBmsBatteryViechleVoltage() {

        return bmsBatteryViechleVoltage;
    }

    public void setBmsBatteryViechleVoltage(String bmsBatteryViechleVoltage) {

        this.bmsBatteryViechleVoltage = bmsBatteryViechleVoltage;
    }

    public String getPileMaximumVoltage() {

        return pileMaximumVoltage;
    }

    public void setPileMaximumVoltage(String pileMaximumVoltage) {

        this.pileMaximumVoltage = pileMaximumVoltage;
    }

    public String getPileMinimumVoltage() {

        return pileMinimumVoltage;
    }

    public void setPileMinimumVoltage(String pileMinimumVoltage) {

        this.pileMinimumVoltage = pileMinimumVoltage;
    }

    public String getPileMaximumCurrent() {

        return pileMaximumCurrent;
    }

    public void setPileMaximumCurrent(String pileMaximumCurrent) {

        this.pileMaximumCurrent = pileMaximumCurrent;
    }

    public String getPileMinimumCurrent() {

        return pileMinimumCurrent;
    }

    public void setPileMinimumCurrent(String pileMinimumCurrent) {

        this.pileMinimumCurrent = pileMinimumCurrent;
    }

}
